public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphobjinv/
Date: Thu, 20 May 2021 15:02:34 +0000 (UTC)	[thread overview]
Message-ID: <1621522951.47533d597b9471170d44be376030bc590eb93b7e.andrewammerlaan@gentoo> (raw)

commit:     47533d597b9471170d44be376030bc590eb93b7e
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu May 20 14:41:41 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu May 20 15:02:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47533d59

dev-python/sphobjinv: import from ::guru

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphobjinv/Manifest             |  1 +
 dev-python/sphobjinv/metadata.xml         | 23 ++++++++++++++
 dev-python/sphobjinv/sphobjinv-2.1.ebuild | 53 +++++++++++++++++++++++++++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-python/sphobjinv/Manifest b/dev-python/sphobjinv/Manifest
new file mode 100644
index 00000000000..6fa2f2762a6
--- /dev/null
+++ b/dev-python/sphobjinv/Manifest
@@ -0,0 +1 @@
+DIST sphobjinv-2.1.tar.gz 1144017 BLAKE2B 71878e1bac5202ab74298b56cd6172236ea524050323e0d6b8bbc0c89f1937d75f10d40b4071cfbe8c9031641e9a0ecb283da908c40840a61c12a7c892438241 SHA512 cde77d73b09b72358b0ac5b0d8f1a748e78dce6664d1b849ba68f5ff70dc43cbcff4581374d0151be29c4d97efe2920c5c00ff68918371243be158031e9554fa

diff --git a/dev-python/sphobjinv/metadata.xml b/dev-python/sphobjinv/metadata.xml
new file mode 100644
index 00000000000..dc83e0f5d0f
--- /dev/null
+++ b/dev-python/sphobjinv/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="person">
+    <email>andrewammerlaan@gentoo.org</email>
+    <name>Andrew Ammerlaan</name>
+  </maintainer>
+  <longdescription lang="en">
+Using Sphinx?
+
+Having trouble writing cross-references?
+
+sphobjinv (short for ‘sphinx objects.inv’) can help!
+
+The syntax required for a functional Sphinx cross-reference is highly non-obvious in many cases. Sometimes Sphinx can guess correctly what you mean, but it’s pretty hit-or-miss. The best approach is to provide Sphinx with a completely specified cross-reference, and that’s where sphobjinv comes in.
+  </longdescription>
+  <upstream>
+    <remote-id type="github">bskinn/sphobjinv</remote-id>
+    <remote-id type="pypi">sphobjinv</remote-id>
+  </upstream>
+  <stabilize-allarches/>
+</pkgmetadata>

diff --git a/dev-python/sphobjinv/sphobjinv-2.1.ebuild b/dev-python/sphobjinv/sphobjinv-2.1.ebuild
new file mode 100644
index 00000000000..9afca30acd7
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+	https://github.com/bskinn/sphobjinv/
+	https://pypi.org/project/sphobjinv/
+"
+SRC_URI="https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+
+# This requires pytest-check, but that does not work at all, even if it
+# is installed it still fails to find the check fixture
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	>=dev-python/fuzzywuzzy-0.8[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]"
+
+BDEPEND="
+	test? (
+		dev-python/dictdiffer[${PYTHON_USEDEP}]
+		dev-python/pytest-ordering[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+		>=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+		dev-python/timeout-decorator[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source \
+	dev-python/sphinx_rtd_theme \
+	dev-python/sphinx-issues \
+	dev-python/sphinxcontrib-programoutput
+
+python_prepare_all() {
+	# --strict option is deprecated in pytest>6
+	sed -i -e '/addopts/d' tox.ini || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-05-20 15:02 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-20 15:02 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-06-25 18:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphobjinv/ Sergei Trofimovich
2021-07-08  7:09 Sergei Trofimovich
2021-07-08  7:11 Sergei Trofimovich
2021-07-12  0:58 Sam James
2021-07-26  2:27 Sam James
2021-07-28  1:08 Sam James
2021-09-10  1:27 Sam James
2021-09-20  6:25 Agostino Sarubbo
2021-09-23 17:22 Arthur Zamarin
2021-09-23 20:27 Arthur Zamarin
2021-09-24 14:44 Arthur Zamarin
2021-09-24 22:48 Sam James
2021-10-09 20:19 Sam James
2021-10-10  0:09 Sam James
2021-10-10  2:20 Sam James
2021-10-10 20:43 Sam James
2021-10-24  0:19 Sam James
2021-10-24  2:27 Sam James
2021-10-24  4:51 Sam James
2021-10-24  8:54 Michał Górny
2021-11-15 16:29 Agostino Sarubbo
2021-11-18 10:50 Sam James
2021-11-19  7:59 Arthur Zamarin
2021-11-19 11:39 Arthur Zamarin
2022-01-31  0:26 Michał Górny
2022-02-07  9:35 Sam James
2022-02-07 20:14 Arthur Zamarin
2022-02-07 22:29 Sam James
2022-03-15 13:31 Jakov Smolić
2022-03-15 14:26 Michał Górny
2022-03-23  8:58 Michał Górny
2022-04-26 17:05 Arthur Zamarin
2022-04-26 18:55 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-06-01 10:55 Andrew Ammerlaan
2022-06-05  5:52 Michał Górny
2022-11-09  8:38 Michał Górny
2022-11-29 20:18 Arthur Zamarin
2022-12-11 18:41 Arthur Zamarin
2022-12-11 20:50 Michał Górny
2023-02-13  3:22 Matt Turner
2023-04-09 20:40 Andrew Ammerlaan
2023-05-20  7:02 Michał Górny
2023-08-20  9:17 Michał Górny
2024-02-03 10:41 Michał Górny
2024-05-24  4:03 Michał Górny
2024-06-08  7:23 Arthur Zamarin
2024-06-08  9:02 Michał Górny
2024-06-14 11:42 Petr Vaněk
2024-07-01  5:03 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1621522951.47533d597b9471170d44be376030bc590eb93b7e.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox